Supported Android and iOS device versions

Currently, Anchor supports the following operations systems:

  • iOS 11.0+
  • Android 5.0+

Unfortunately, if you have a mobile device running an OS below these numbers, you won't be able to use Anchor on your phone. We're sorry! If we supported older operating systems, there are lots of features we wouldn't be able to offer.

However, you can still listen to podcasts on our website or upload external audio to your podcast after you login.

Was this article helpful?
42 out of 105 found this helpful